umbrello: CodeGenerationWizard Class Reference

umbrello 2.32.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Types | Public Member Functions | Protected Slots | Private Member Functions | Private Attributes | List of all members
CodeGenerationWizard Class Reference

`#include <codegenerationwizard.h>`

Inheritance diagram for CodeGenerationWizard:

## Public Types
enum | { OptionsPage , SelectionPage , StatusPage }

## Public Member Functions
| CodeGenerationWizard (UMLClassifierList *classList)
| ~CodeGenerationWizard ()
QListWidget * | getSelectionListWidget ()

## Protected Slots
void | slotLanguageChanged ()

## Private Member Functions
QWizardPage * | createSelectionPage (UMLClassifierList *classList)
QWizardPage * | createOptionsPage ()
QWizardPage * | createStatusPage ()

## Private Attributes
CodeGenSelectPage * | m_SelectionPage
CodeGenOptionsPage * | m_OptionsPage
CodeGenStatusPage * | m_StatusPage

## Detailed Description

Author
  Luis De la Parra based on wizard from Paul Hensgen
  Andi Fischer refactored and ported to QWizard

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
OptionsPage |
SelectionPage |
StatusPage |

## Constructor & Destructor Documentation

## ◆ CodeGenerationWizard()

CodeGenerationWizard::CodeGenerationWizard | ( | UMLClassifierList * | classList | ) |
| explicit

Constructor. Sets up the wizard and loads the wizard pages. Each wizard page has its own class.

Parameters

  classList | the list of classes, which have to be generated

## ◆ ~CodeGenerationWizard()

CodeGenerationWizard::~CodeGenerationWizard | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ createOptionsPage()

QWizardPage * CodeGenerationWizard::createOptionsPage | ( |  | ) |
| private

Creates the code generation options page, which allows to tune the code generation by setting some parameters.

Returns
  the wizard page

## ◆ createSelectionPage()

QWizardPage * CodeGenerationWizard::createSelectionPage | ( | UMLClassifierList * | classList | ) |
| private

Creates the class selection page.

Parameters

  classList | the list of classes, which have to be generated

Returns
  the wizard page

## ◆ createStatusPage()

QWizardPage * CodeGenerationWizard::createStatusPage | ( |  | ) |
| private

Creates the code generation status page, which shows the progress of the generation.

Returns
  the wizard page

## ◆ getSelectionListWidget()

QListWidget * CodeGenerationWizard::getSelectionListWidget | ( |  | ) |

Returns the list widget, which holds the classes for generation. With this function the list of classes to generate can be transferred from the select page to the status page.

Returns
  the list widget

## ◆ slotLanguageChanged

void CodeGenerationWizard::slotLanguageChanged | ( |  | ) |
| protectedslot

Slot to handle generator language change.

## Member Data Documentation

## ◆ m_OptionsPage

CodeGenOptionsPage* CodeGenerationWizard::m_OptionsPage
| private

## ◆ m_SelectionPage

CodeGenSelectPage* CodeGenerationWizard::m_SelectionPage
| private

## ◆ m_StatusPage

CodeGenStatusPage* CodeGenerationWizard::m_StatusPage
| private

The documentation for this class was generated from the following files:

- umbrello/codegenwizard/codegenerationwizard.h
- umbrello/codegenwizard/codegenerationwizard.cpp